Name: p0f
Version: 2.0.8
Release: 4%{?dist}

Summary: Versatile passive OS fingerprinting tool
Group: Applications/Internet
License: LGPLv2+
URL: http://lcamtuf.coredump.cx/p0f.shtml
Source: http://lcamtuf.coredump.cx/p0f/p0f-2.0.8.tgz
Source01: p0f.init
Source02: p0f.sysconfig
Patch01: p0f-2.0.6-query.patch
Patch02: p0f-2.0.8-query.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: libpcap

%description
P0f v2 is a versatile passive OS fingerprinting tool. P0f can identify the
system on machines that talk thru or near your box. p0f will also check
masquerading and firewall presence, the distance to the remote system and its
uptime, other guy's network hookup (DSL, OC3, avian carriers) and his ISP.


%prep
%setup -q -n p0f
#%patch01 -p0 -b .query
%patch02 -p0 -b .query

%build
make -f mk/Linux %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS"


%install
rm -rf $RPM_BUILD_ROOT
%{__mkdir_p} $RPM_BUILD_ROOT%{_sbindir}
%{__mkdir_p} $RPM_BUILD_ROOT%{_mandir}/man1
%{__mkdir_p} $RPM_BUILD_ROOT%{_sysconfdir}/p0f
%{__cp} p0f p0frep $RPM_BUILD_ROOT%{_sbindir}
%{__cp} p0f.fp p0fa.fp p0fr.fp p0fo.fp $RPM_BUILD_ROOT%{_sysconfdir}/p0f
%{__cp} p0f.1 $RPM_BUILD_ROOT%{_mandir}/man1
%{__install} -d -p $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d
%{__install} -d -p $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
%{__install} -m 755 $RPM_SOURCE_DIR/p0f.init $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/p0f
%{__install} -m 755 $RPM_SOURCE_DIR/p0f.sysconfig $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/p0f

%clean
rm -rf $RPM_BUILD_ROOT


%post
#exec &>/dev/null
if [ $1 = 2 ]; then # upgrade
  # restart p0f
  /etc/init.d/p0f restart || true
else # install
  chkconfig --add p0f
  /etc/init.d/p0f start || true
fi


%preun
#exec &>/dev/null
if [ $1 = 0 ]; then # uninstall
  if [ -x /sbin/chkconfig ]; then
    /etc/init.d/p0f stop
    /sbin/chkconfig --del p0f
  fi
fi


%files
%defattr(-,root,root,-)
%doc doc/*
%{_sbindir}/p0f
%{_sbindir}/p0frep
%dir %{_sysconfdir}/p0f
%config %{_sysconfdir}/p0f/p0f.fp
%config %{_sysconfdir}/p0f/p0fa.fp
%config %{_sysconfdir}/p0f/p0fr.fp
%config %{_sysconfdir}/p0f/p0fo.fp
%config %{_sysconfdir}/rc.d/init.d/p0f
%config %{_sysconfdir}/sysconfig/p0f
%{_mandir}/man1/p0f.1.gz


%changelog
* Sun Feb 10 2008 Kevin Fenzi <kevin@tummy.com> - 2.0.8-4
- Rebuild for gcc43

* Thu Oct 11 2007 Kevin Fenzi <kevin@tummy.com> - 2.0.8-3
- Rebuild for BuildID
- Update License tag

* Wed Nov 29 2006 Kevin Fenzi <kevin@tummy.com> - 2.0.8-2
- Rebuild for new libpcap

* Sat Nov 11 2006 Kevin Fenzi <kevin@tummy.com> - 2.0.8-1
- Update to 2.0.8

* Sun Aug 27 2006 Kevin Fenzi <kevin@tummy.com> - 2.0.7-2
- Rebuild for fc6

* Wed Aug 23 2006 Kevin Fenzi <kevin@tummy.com> - 2.0.7-1
- Update to 2.0.7

* Thu Jun 29 2006 Kevin Fenzi <kevin@tummy.com> - 2.0.6-2
- libpcap to libpcap-devel in BuildRequires

* Mon May  8 2006 Kevin Fenzi <kevin@tummy.com> - 2.0.6-1
- Upgrade to 2.0.6
- Remove unneeded include patch (fixed upstream)

* Thu Feb 16 2006 Kevin Fenzi <kevin@tummy.com> - 2.0.5-4.fc5
- Rebuild for fc5
- Add dist tag

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 2.0.5-3
- rebuild on all arches

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Tue Oct 26 2004 Adrian Reber <adrian@lisas.de> - 0:2.0.5-1
- updated to 2.0.5
- fixed build on FC2
- bring specfile up to date with current spec templates

* Mon Oct 27 2003 Darryl Luff <darryl@snakegully.nu> - 0:2.0.2-0.fdr.0.1
- Update for version 2.0.2 and Fedora comments.

* Sat Sep 6 2003 Darryl Luff <darryl@snakegully.nu> - 0:2.0.1-0.fdr.0.1
- initial RPM

